package com.engine.salary.enums;

/**
 * 基础枚举
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public interface BaseEnum<T> {

    String name();

    T getValue();

    Integer getLabelId();

    String getDefaultLabel();
}
